Skip to main content
`Ctrl`+`K`

# DMSetCellCoordinateSection

Set the `PetscSection` of cellwise coordinate values over the mesh.

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMSetCellCoordinateSection(DM dm, PetscInt dim, PetscSection section)

Not Collective

## Input Parameters

- dm - The `DM` object

- dim - The embedding dimension, or `PETSC_DETERMINE`

- section - The `PetscSection` object for a cellwise layout

## See Also

`DM`, `DMGetCoordinateDim()`, `DMSetCoordinateSection()`, `DMGetCellCoordinateSection()`, `DMGetCoordinateSection()`, `DMGetCellCoordinateDM()`, `DMGetLocalSection()`, `DMSetLocalSection()`

## Level

intermediate

## Location

src/dm/interface/dmcoordinates.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages